## kongress 25.11.80

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kongress VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.8.0")
set(KF_MIN_VERSION "6.15.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(REMINDERS_ENABLED "Build with reminders support" ON)

include(CTest)
include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMAddAndroidApk)
include(ECMQmlModule)
include(KDEClangFormat)
include(KDEGitCommitHooks)


ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KONGRESS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg Qml QuickControls2 Network)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
find_package(KF6KirigamiAddons 1.0 REQUIRED)
find_package(KOSMIndoorMap 25.08 REQUIRED)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)


if (ANDROID)
    find_package(OpenSSL REQUIRED)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS ColorScheme)
else()
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
endif()
if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()
if(NOT ANDROID AND REMINDERS_ENABLED)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons Notifications)
endif()

add_subdirectory(src)

if(NOT ANDROID AND REMINDERS_ENABLED)
    add_subdirectory(kongressac)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

if (NOT ANDROID)
    install(FILES org.kde.kongress.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(PROGRAMS org.kde.kongress.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.kongress.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
else()
    install(FILES org.kde.kongress.svg DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

set(kongress_SRCS
    main.cpp
    settingscontroller.cpp
    calendarcontroller.cpp
    localcalendar.cpp
    eventmodel.cpp
    eventcontroller.cpp
    conference.cpp
    conferencecontroller.cpp
    conferencemodel.cpp
    alarmchecker.cpp

    settingscontroller.h
    calendarcontroller.h
    localcalendar.h
    eventmodel.h
    eventcontroller.h
    conference.h
    conferencecontroller.h
    conferencemodel.h
    alarmchecker.h
    )

add_executable(kongress ${kongress_SRCS} ${RESOURCES})

ecm_add_qml_module(kongress URI "org.kde.kongress" VERSION 0.1)

ecm_target_qml_sources(kongress SOURCES
    contents/ui/Main.qml
    contents/ui/GlobalDrawer.qml
    contents/ui/ScheduleView.qml
    contents/ui/FavoritesView.qml
    contents/ui/IndoorMapView.qml
    contents/ui/MapView.qml
    contents/ui/Conferences.qml
    contents/ui/EventInfo.qml
    contents/ui/SettingsView.qml
)

target_link_libraries(kongress PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::QuickControls2 Qt::Network KF6::ConfigCore KF6::I18n KF6::CalendarCore KF6::CoreAddons)
if (BUILD_TESTING)
    target_link_libraries(kongress PRIVATE Qt::Test)
endif()

target_include_directories(kongress PRIVATE ${CMAKE_BINARY_DIR})

if (ANDROID)
    target_link_libraries(kongress PRIVATE
        KF6::Kirigami2
        KF6::ColorScheme
        Qt::Svg
        OpenSSL::SSL
    )

    if(TARGET KF6::I18nQml)
        target_link_libraries(kongress PUBLIC
            KF6::I18nQml
        )
    endif()

    kirigami_package_breeze_icons(ICONS
        arrow-down
        arrow-up
        category
        delete
        dialog-warning-symbolic
        documentinfo
        document-export
        draw-arrow-back
        edit-select
        emblem-error
        emblem-warning
        exchange-positions
        favorite
        find-location
        folder-open
        go-down-symbolic
        go-next
        go-up-symbolic
        group
        help-about-symbolic
        internet-services
        map-globe
        map-symbolic
        search
        settings-configure
        update-none
        user-symbolic
        view-calendar-agenda
        view-calendar-day
        starred-symbolic
    )

    ecm_add_android_apk(kongress ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(kongress PRIVATE Qt::Widgets Qt::DBus KF6::Crash)
    if(TARGET KF6::I18nQml)
        target_link_libraries(kongress PUBLIC
            KF6::I18nQml
        )
    endif()
endif()

install(TARGETS kongress ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kongress (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:28 +0000

=== debian/control ===
Source: kongress
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.1.0~),
               kirigami-addons-dev (>= 1.0~),
               kosmindoormap-dev (>= 25.11.80~),
               libkf6calendarcore-dev (>= 6.1.0~),
               libkf6colorscheme-dev (>= 6.1.0~),
               libkf6config-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6crash-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6notifications-dev (>= 6.1.0~),
               libkirigami-dev (>= 6.1.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/kongress
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
Rules-Requires-Root: no

Package: kongress
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: companion application for conferences made by KDE
 Kongress provides practical information about conferences. It supports
 conferences that offer their schedule in iCalendar format. In Kongress, the
 data of the talks are shown in various ways, e.g. in daily views, by talk
 category, etc. The users can also create a list of favorite conference
 talks/events as well as they can navigate to the web page of each talk. A map
 of the conference venue, location information and link to OpenStreetMap can
 also be added.

## kongress 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kongress (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:09:56 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.11.80~),
+               kosmindoormap-dev (>= 25.11.90~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kongress (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:27:19 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.11.90~),
+               kosmindoormap-dev (>= 25.12.0~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.12.0+p24.04+vstable+git20251231.0318

=== debian/changelog ===
kongress (25.12.0+p24.04+vstable+git20251231.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:18:26 +0000

kongress (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:38 +1000

## kongress 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kongress (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:36 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.12.0~),
+               kosmindoormap-dev (>= 25.12.1~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.12.1+p24.04+vstable+git20260130.1106

=== debian/changelog ===
kongress (25.12.1+p24.04+vstable+git20260130.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:06:33 +0000

kongress (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:03 +1000

## kongress 25.12.1+p24.04+vstable+git20260205.0646

=== debian/changelog ===
kongress (25.12.1+p24.04+vstable+git20260205.0646-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:46:06 +0000

## kongress 25.12.1+p24.04+vunstable+git20260205.0745

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kongress (25.12.1+p24.04+vunstable+git20260205.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:45:02 +0000

## kongress 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kongress (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:41:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.12.1~),
+               kosmindoormap-dev (>= 25.12.2~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.12.2+p24.04+vunstable+git20260207.0539

=== debian/changelog ===
kongress (25.12.2+p24.04+vunstable+git20260207.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 05:39:04 +0000

kongress (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:35:29 +0000
